<?php

if (!defined('ABSPATH')) {
    exit();
}

function ppt_video_gallery_elementor_widget_categories( $elements_manager ) {

	$elements_manager->add_category(
		'ppt-category',
		[
			'title' => esc_html__( 'PPT', 'ppt' ),
			'icon' => 'fa fa-plug',
		]
	);
}
add_action( 'elementor/elements/categories_registered', 'ppt_video_gallery_elementor_widget_categories' );

function register_video_gallery_elementor_widget($widgets_manager)
{
    require_once __DIR__ . '/widgets/ppt-video-gallery-elementor-widget.php';
    
    $widgets_manager->register(new \PPT_Video_Galley_Elementor_Widget());
}
add_action( 'elementor/widgets/register', 'register_video_gallery_elementor_widget' );

function load_ppt_video_gallery_elementor_widget() {
    wp_enqueue_style( 'ppt-video-gallery-widget-style', plugin_dir_url( __FILE__ ) . '/assets/css/ppt-video-gallery-widget.css' );
    wp_enqueue_script( 'ppt-video-gallery-widget-script', plugin_dir_url( __FILE__ ) . '/assets/js/ppt-video-gallery-widget.js',  array('jquery'), null , true);
    
}

add_action( 'elementor/frontend/after_enqueue_styles', 'load_ppt_video_gallery_elementor_widget' );


